module git.haelnorr.com/h/oslstats

go 1.25.5

require (
	git.haelnorr.com/h/golib/env v0.9.1
	git.haelnorr.com/h/golib/ezconf v0.1.1
	git.haelnorr.com/h/golib/hlog v0.10.4
	git.haelnorr.com/h/golib/hws v0.3.2
	git.haelnorr.com/h/golib/hwsauth v0.5.2
	github.com/a-h/templ v0.3.977
	github.com/joho/godotenv v1.5.1
	github.com/pkg/errors v0.9.1
	github.com/uptrace/bun v1.2.16
	github.com/uptrace/bun/dialect/pgdialect v1.2.16
	github.com/uptrace/bun/driver/pgdriver v1.2.16
)

require (
	github.com/gorilla/websocket v1.4.2 // indirect
	golang.org/x/crypto v0.45.0 // indirect
)

require (
	git.haelnorr.com/h/golib/cookies v0.9.0
	git.haelnorr.com/h/golib/jwt v0.10.1 // indirect
	github.com/bwmarrin/discordgo v0.29.0
	github.com/go-logr/logr v1.4.3 // indirect
	github.com/golang-jwt/jwt v3.2.2+incompatible // indirect
	github.com/google/uuid v1.6.0 // indirect
	github.com/jinzhu/inflection v1.0.0 // indirect
	github.com/mattn/go-colorable v0.1.14 // indirect
	github.com/mattn/go-isatty v0.0.20 // indirect
	github.com/puzpuzpuz/xsync/v3 v3.5.1 // indirect
	github.com/rs/zerolog v1.34.0 // indirect
	github.com/tmthrgd/go-hex v0.0.0-20190904060850-447a3041c3bc // indirect
	github.com/vmihailenco/msgpack/v5 v5.4.1 // indirect
	github.com/vmihailenco/tagparser/v2 v2.0.0 // indirect
	go.opentelemetry.io/otel v1.38.0 // indirect
	go.opentelemetry.io/otel/trace v1.38.0 // indirect
	golang.org/x/sys v0.40.0 // indirect
	k8s.io/apimachinery v0.35.0 // indirect
	k8s.io/klog/v2 v2.130.1 // indirect
	k8s.io/utils v0.0.0-20260108192941-914a6e750570 // indirect
	mellium.im/sasl v0.3.2 // indirect
)
